Bug 1118962 - Thrown IndexError: list index out of range when using "ovirt-node-config h"
Summary: Thrown IndexError: list index out of range when using "ovirt-node-config h"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Douglas Schilling Landgraf
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks: 1120185
TreeView+ depends on / blocked
 
Reported: 2014-07-12 10:35 UTC by haiyang,dong
Modified: 2016-02-10 19:40 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1120185 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:29:53 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29978 master MERGED ovirt-node-config: fix IndexError: list index out of range for "h" parameter Never

Description haiyang,dong 2014-07-12 10:35:42 UTC
Description of problem:
when using "ovirt-node-config h" to get more information how to use "ovirt-node-config" tools 
failed with follow error info:
[root@dhcp-66-73-241 admin]# ovirt-node-config h
Traceback (most recent call last):
  File "/usr/bin/ovirt-node-config", line 94, in <module>
    cls, func = split_clsfunc(args[1])
IndexError: list index out of range
[root@dhcp-66-73-241 admin]# ovirt-node-config help
Traceback (most recent call last):
  File "/usr/bin/ovirt-node-config", line 94, in <module>
    cls, func = split_clsfunc(args[1])
IndexError: list index out of range

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.5.0.ovirt35.20140707.el6.iso

How reproducible:
100%


Steps to Reproduce:


Actual results:


Expected results:


Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:29:53 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.